时隔 4 年半,密码破解工具 John the Ripper 发布新版,支持 FPGA

来源: OSCHINA
编辑: h4cd
2019-05-22

时隔 4 年半,著名密码破解工具 John the Ripper 发布了 1.9.0-jumbo-1 版本。

John the Ripper 是一款速度很快的密码破解工具,目前可用于 Unix、macOS、Windows、DOS、BeOS 与 OpenVMS 等多种操作系统。最初其主要目的是检测弱 Unix 密码,而现在,除了支持许多 Unix crypt(3) 密码哈希类型,John the Ripper “-jumbo”版本还支持数百种其它哈希类型和密码。

2014 年发布 1.8.0-jumbo-1 ,如今发布 1.9.0-jumbo-1,核心从 1.8.0 升级到了 1.9.0,主要带来了一些变化,包括:

  • 进行优化,可以更快地处理大型密码哈希文件(例如有数百或数亿个哈希),包括加载、破解和显示过程。
  • 基准测试默认使用长度为 7 的完全不同的候选密码。
  • Bitslice DES 实现支持更多的 SIMD 指令集

内核之外,最让人关注的变化是此版本增加了使用 FPGA(Field-Programmable Gate Array,现场可编程门阵列) 破解支持,并且适用于 7 种哈希类型,分别是 bcrypt、descrypt 、sha512crypt、Drupal7、sha256crypt、md5cryp 与 phpass,其中有几种是首次在 FPGA 上实现。

此外还有以下值得关注的变化:

  • 由于缺乏兴趣而放弃了 CUDA 支持,现在专注于 OpenCL,它更加便携,在 NVIDIA 显卡上也运行良好
  • 现在支持 88 种 OpenCL 格式
  • 现在支持 407 种 CPU 格式
  • 添加了许多新的预定义动态格式配方
  • 添加了可在 CPU 上处理简单自定义算法的动态编译器模式

完整的更新信息查看说明邮件:

下载地址:

展开阅读全文
156 收藏
分享
加载中
精彩评论
这个怎么用?web系统一般都有验证码或者封禁IP功能。操作系统或者网络设备也有短期失败次数过多自动封禁账号功能。
2019-05-23 08:51
1
举报
我是不是可以拿它来干点什么事呢?😏
2019-05-22 19:34
1
举报
最新评论 (3)
谁会用?我表示没安装成功,windows系统的
2019-05-23 15:56
0
回复
举报
这个怎么用?web系统一般都有验证码或者封禁IP功能。操作系统或者网络设备也有短期失败次数过多自动封禁账号功能。
2019-05-23 08:51
1
回复
举报
我是不是可以拿它来干点什么事呢?😏
2019-05-22 19:34
1
回复
举报
更多评论
5 评论
156 收藏
分享
返回顶部
顶部